Payment Plan
Manage VARIO Cloud payment plans for open items: modify terms, convert invoices to payment plans, recalculate plans, and start payment plan runs.
Offene Posten - Zahlungspläne
Ändert einen Zahlungsplan
Zahlungsplantyp
Fälligkeitsregel
Fälligkeitsregel löschen
Betrag
Betrag löschen
Startdatum
Startdatum löschen
Enddatum
Enddatum löschen
Beschreibung
Aktiv
Fälligkeitsdatum
Fälligkeitsdatum löschen
OK
Zahlungsplan
Version Identifier for this Object (for PUT)
Unique identifier of the Object
Zahlungsplantyp
Fälligkeitsregel
Betrag
Startdatum
Enddatum
Beschreibung
Aktiv
Fälligkeitsdatum
Währung des Zahlungsplans (ISO-A3)
Kurs der Währung zu Basiswährung
Basiswährung des Zahlungsplans (ISO-A3)
Betrag in Basiswährung
PUT /erp/finance/openitems/paymentplan/{openItemId}/change_paymentplan HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
Content-Length: 306
{
"paymentPlanType": "RULE",
"dueDateCalculation": "text",
"clearDueDateCalculation": true,
"amount": 1,
"clearAmount": true,
"startDate": "2026-01-01",
"clearStartDate": true,
"endDate": "2026-01-01",
"clearEndDate": true,
"description": "text",
"active": true,
"dueDate": "2026-01-01",
"clearDueDate": true,
"manualRuleEntries": []
}OK
{
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"paymentPlanType": "RULE",
"dueDateCalculation": "text",
"amount": 1,
"startDate": "2026-01-01",
"endDate": "2026-01-01",
"description": "text",
"active": true,
"dueDate": "2026-01-01",
"manualRuleEntries": [],
"currencyCode": "text",
"exchangeRate": 1,
"baseCurrencyCode": "text",
"baseAmount": 1
}Wandelt einen Rechnungs-OP in einen Zahlungsplan um
OK
message context
message
POST /erp/finance/openitems/paymentplan/{openItemId}/transform_to_paymentplan HTTP/1.1
Host: api.example.com
Accept: */*
OK
{
"context": "text",
"messageValue": "text"
}Triggert die Berechnung eines Zahlungsplans
OK
message context
message
POST /erp/finance/openitems/paymentplan/{openItemId}/evaluate_paymentplan HTTP/1.1
Host: api.example.com
Accept: */*
OK
{
"context": "text",
"messageValue": "text"
}Erstellt einen Zahlungsplanlauf
Fälligkeit der nächsten Buchung
Einschränkung auf spezielle Adressen?
Starttag des Zahlungsplanes - bis
Endtag des Zahlungsplanes - bis
OK
message context
message
POST /erp/finance/openitems/paymentplan/start_paymentplan_run HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
Content-Length: 89
{
"dueDate": "2026-01-01",
"accountIds": [
1
],
"startDate": "2026-01-01",
"endDate": "2026-01-01"
}OK
{
"context": "text",
"messageValue": "text"
}Last updated
Was this helpful?